require 'active_support/concern'

module Ito
  extend ::ActiveSupport::Concern

  included do
    before_action :basic_auth
  end

  def basic_auth
    authenticate_or_request_with_http_basic do |user_name, password|
      user_name == ENV['USER_NAME'] && password == ENV['PASSWORD']
    end
  end
end

require 'ito/railtie' if defined?(Rails)
